Eclipse GEF 3.3

## org.eclipse.gef.ui.views.palette
Class PaletteViewerPage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.gef.ui.views.palette.PaletteViewerPage

All Implemented Interfaces:
  IPage, IPageBookViewPage, PalettePage

Direct Known Subclasses:
  GraphicalEditorWithFlyoutPalette.CustomPalettePage

public class PaletteViewerPage
extends Page
implements PalettePage

The default page for the PaletteView that works in conjunction with a PaletteViewerProvider.

Since:
  3.0

Field Summary
`protected PaletteViewerProvider` `provider` The PaletteViewerProvider that is used to create the PaletteViewer
`protected PaletteViewer` `viewer` The PaletteViewer created for this page

Constructor Summary
`PaletteViewerPage(PaletteViewerProvider pvProvider)` Constructor

Method Summary
`void` `createControl(Composite parent)` Creates the palette viewer and its control.
`void` `dispose()` Releases the palette viewer from the edit domain
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Control` `getControl()`
`void` `setFocus()` Sets focus on the palette's control

Methods inherited from class org.eclipse.ui.part.Page
`createControl, getSite, init, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage
`getSite, init`

Methods inherited from interface org.eclipse.ui.part.IPage
`createControl, setActionBars`

Field Detail

### provider

    protected PaletteViewerProvider provider

  The PaletteViewerProvider that is used to create the PaletteViewer

### viewer

    protected PaletteViewer viewer

  The PaletteViewer created for this page

Constructor Detail

### PaletteViewerPage

    public PaletteViewerPage(PaletteViewerProvider pvProvider)

  Constructor

Parameters:
  `pvProvider` - the provider used to create the palette viewer

Method Detail

### createControl

    public void createControl(Composite parent)

  Creates the palette viewer and its control.

  See Also:
    `Page.createControl(org.eclipse.swt.widgets.Composite)`

### dispose

    public void dispose()

  Releases the palette viewer from the edit domain

  Specified by:
    `dispose` in interface `IPage`
  See Also:
    `Page.dispose()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  See Also:
    `IAdaptable#getAdapter(java.lang.Class)`

### getControl

    public Control getControl()

  Specified by:
    `getControl` in interface `IPage`
  Returns:
    the palette viewer's control
  See Also:
    `Page.getControl()`

### setFocus

    public void setFocus()

  Sets focus on the palette's control

  Specified by:
    `setFocus` in interface `IPage`
  See Also:
    `Page.setFocus()`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.